Hi, I am another newbie stuck with the installation of Drupal over Xampp for Linux. For what I have read I realize a good number of people have difficulty following the few instruction pages available. Therefore, I think a step-by-step guide would be very useful not only to me but to other people. I have placed a failed attempt in http://drupal.org/node/107381

It would be great if somebody more knowledgeable could correct and complete it -copied below.
Thanks,
joseant

------------

1)Download xampp-linux-1.5.5a.tar.gz to /home/'user'
2)tar xvfz xampp-linux-1.5.5a.tar.gz -C /opt
3)Download drupal-5.0-rc1.tar.gz to /home/'user'
4)mv drupal-5.0-rc1/* drupal-5.0-rc1/.htaccess /var/www
5)mkdir /opt/lampp/var/www
6)tar xvfz drupal-5.0-rc1.tar.gz -C /home/'user'
7)mv drupal-5.0-rc1/* drupal-5.0-rc1/.htaccess /opt/lampp/var/www
8)mkdir /opt/lampp/var/www/files
9)/opt/lampp/lampp start
10)http://localhost
11)http://localhost/phpmyadmin
12)Create new database: drupaldb, utf8_general_ci
13)Create new user: 'user', localhost, 'password'
14)Edit specific privileges of 'user' to drupaldb: mark all.
15)Download drupal-4.7.5.tar.gz to /home/'user'
16)tar xvfz drupal-4.7.5.tar.gz -C /home/'user'
17)Import table for drupaldb from /home/'user'/drupal-4.7.5/database/database.4.1.mysql
18)gedit /opt/lampp/var/www/sites/default/settings.php
19)$db_url = 'mysql://'user':'password'@localhost/drupaldb';
20)$base_url = 'http://localhost'; // NO trailing slash!

And nothing happens... any help?

Comments

faqing’s picture

One thing is for sure, you don't need stepts 15, 16, 17 to import table from drupal 4.7.5.

jsmm’s picture

Thanks for your reply. When I type tar xvfz drupal-4.7.5.tar.gz -C /home/'user', I don't get a /home/jmm/drupal-5.0-rc1/database folder. But I do get it when uncompressing drupal-4.7.5, with the database.4.1.mysql file inside. I don't know why.

I'm copying below the updated list of what I have been trying now, still without success:

XAMPP
1)Download xampp-linux-1.5.5a.tar.gz to /home/'user'
2)tar xvfz xampp-linux-1.5.5a.tar.gz -C /opt
3)/opt/lampp/lampp security
4)open users-admin
5)Create a new group called xampp and assign it to 'user' and root.
6) cd /opt/lampp
7)sudo chgrp xampp htdocs -R
8)sudo chmod 775 htdocs -R
9)Ctrl - Alt - Backspace

DRUPAL
1)Download drupal-5.0-rc1.tar.gz to /home/'user'
2)tar xvfz drupal-5.0-rc1.tar.gz -C /home/'user'
3)mkdir /opt/lampp/htdocs/drupal
4)mv drupal-5.0-rc1/* drupal-5.0-rc1/.htaccess /opt/lampp/htdocs/drupal
5)mkdir /opt/lampp/htdocs/drupal/files
6)cd /opt/lampp/htdocs
7)sudo chgrp xampp drupal -R
8)sudo chmod 775 drupal -R

9)/opt/lampp/lampp start
10)http://localhost
11)http://localhost/phpmyadmin
12)Create new database: 'drupal', utf8_general_ci
13)Create new user: 'user', localhost, 'password'
14)Edit specific privileges of 'user' to 'drupal' database: mark all.
15)Download drupal-4.7.5.tar.gz to /home/'user'
16)tar xvfz drupal-4.7.5.tar.gz -C /home/'user'
17)Import table for 'drupal' database from /home/'user'/drupal-4.7.5/database/database.4.1.mysql
18)gedit /opt/lampp/htdocs/drupal/sites/default/settings.php
19)$db_url = 'mysql://'user':'password'@localhost/drupal';
20)$base_url = 'http://localhost/drupal'; // NO trailing slash!
21)http://localhost/drupal/

And I get the following:
Fatal error: Call to undefined function filter_xss_bad_protocol() in /opt/lampp/htdocs/drupal/includes/common.inc on line 837

Any corrections / help, please?

jsmm

jsmm’s picture

Finally, I found some help in http://2bits.com/articles/drupal-4-8-5-0-now-has-an-installer.html
and
http://drupal.org/node/260
I believe these 2 links make the installation easy for anyone.

jsmm

BANSAL’s picture

Hello friends !!
Above description is awesome for beginners and the links are too useful. I used this information when I was having problem.
I want to suggest you an another link which made my problem completely sort out. Here it's-
http://drupal.org/node/637868
You can be benefited through the link.

Best Regards !!

Woody’s picture

I still can't find the solution.
I tried soms steps from above but it still won't work.

I use Drupal6.15 and Xampp 1.7.3a.

Is there someone who can help me with this?

Woody

hydrant-mark’s picture

You will need to downgrade to Xampp 1.7 (haven't personally tried) or possibly 1.6.8 (which I tend to use)

IIRC Xampp 1.7.3a comes with PHP v5.3, which Drupal 6 has issues running with. It works better with PHP v5.2 which is included in the above mentioned versions.